## emacs-lsp-docker 1.0.0git20240806.ce291d0

=== debian/changelog ===
emacs-lsp-docker (1.0.0git20240806.ce291d0-1) unstable; urgency=medium

  * Update version scheme again to workaround Bug#1089565
  * Update d/watch to match the current version scheme
  * Extend elpa-lsp-docker package description

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 08 Dec 2024 20:21:19 -0800

emacs-lsp-docker (1.0.0~git20240806.ce291d0-1) unstable; urgency=medium

  * Update version scheme to reflex the source version
    - So that the version generated by dh-elpa can work correctly
  * Update d/watch to use the new version scheme

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 08 Dec 2024 04:39:30 -0800

emacs-lsp-docker (0.0~git20240806.ce291d0-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (ce291d0)
  * Update d/watch to set pgpmode to none and add uupdate

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 08 Dec 2024 03:34:00 -0800

emacs-lsp-docker (0.0~git20240507.16a0cfb-1) unstable; urgency=medium

  * Initial release (Closes: #1073121)

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 13 Jun 2024 00:54:15 -0700

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=1.0.0git%cd.%h" \
    https://github.com/emacs-lsp/lsp-docker \
    HEAD debian uupdate

## emacs-lsp-docker 1.0.0%2Bgit20250228.3960c73

=== Makefile ===
SHELL=/usr/bin/env bash

EMACS ?= emacs
EASK ?= eask

# TODO: add `lint`
ci: build compile checkdoc

build:
	$(EASK) package
	$(EASK) install

compile:
	@echo "Compiling..."
	$(EASK) compile

checkdoc:
	$(EASK) lint checkdoc

lint:
	@echo "package linting..."
	$(EASK) lint package

clean:
	$(EASK) clean all

.PHONY : test compile checkdoc lint clean tag

## emacs-lsp-docker 1.0.0+git20250211.3b2d61d

=== debian/changelog ===
emacs-lsp-docker (1.0.0+git20250211.3b2d61d-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (3b2d61d)
  * Update d/watch to use tag+git_date now that 1.0.0 was tagged

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 17 Feb 2025 01:33:11 -0800

=== debian/control ===
Source: emacs-lsp-docker
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Xiyue Deng <manphiz@gmail.com>
Build-Depends: debhelper-compat (= 13),
 dh-elpa
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-lsp-docker
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-lsp-docker.git
Homepage: https://github.com/emacs-lsp/lsp-docker
Rules-Requires-Root: no

Package: elpa-lsp-docker
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs
Enhances: emacs
Description: LSP Docker integration for lsp-mode
 Let lsp-mode use lsp-docker to run language servers in containers.
 .
 Preconfigured language servers emacslsp/lsp-docker-langservers has
 the following content:
  * Language servers:
    - Bash: bash-language-server
    - C++: ccls
    - CSS/LessCSS/SASS/SCSS: css
    - Dockerfile: dockerfile-language-server-nodejs
    - Go: gopls
    - HTML: html
    - JavaScript/TypeScript: typescript-language-server
    - Python: pylsp
 .
 There are two ways of working with containerized language servers:
  * 2 containers provided by lsp-docker:
    - emacslsp/lsp-docker-langservers
    - emacslsp/lsp-docker-full
  * Custom language server containers

## emacs-lsp-docker 1.0.0+git20250228.3960c73

=== debian/changelog ===
emacs-lsp-docker (1.0.0+git20250228.3960c73-1) unstable; urgency=medium

  * Sync to latest upstream snapshot (3960c73)
  * Update Standards-Version to 4.7.2; no change needed

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 06 Mar 2025 01:15:28 -0800

## emacs-lsp-docker 1.0.0+git20250423.ff41f4a

=== debian/changelog ===
emacs-lsp-docker (1.0.0+git20250423.ff41f4a-1) unstable; urgency=medium

  * Sync latest upstream snapshot (ff41f4a)

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 30 Apr 2025 21:14:19 -0700

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Xiyue Deng <manphiz@gmail.com>
 Build-Depends: debhelper-compat (= 13),
  dh-elpa
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-lsp-docker
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-lsp-docker.git
 Homepage: https://github.com/emacs-lsp/lsp-docker

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_clean:
	@echo Skip clean with eask

override_dh_auto_build:
	@echo Skip build with eask

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=1.0.0+git%cd.%h" \
    https://github.com/emacs-lsp/lsp-docker \
    HEAD debian uupdate
